Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066962 - Add support for git hooks
Summary: Add support for git hooks
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: DR1
: 6.2.0
Assignee: Alexandre Porcelli
QA Contact: Jiri Locker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 11:48 UTC by Alexandre Porcelli
Modified: 2018-12-06 15:55 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Feature Request


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-1251 Major Pending Product Management Triage Add support for git hooks 2018-08-17 00:28:40 UTC

Description Alexandre Porcelli 2014-02-19 11:48:05 UTC
Description of problem:

Use of hooks can be very useful for replicate changes to external repositories (ie. a central repository)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Duncan Doyle 2014-02-19 12:21:36 UTC
Adding a bit of background information.

Larger enterprises usually have policies around source code management and versioning. These kind of companies usually have a corporate standard SCM environment, managed by a dedicated team, which usually is also responsible for centralized builds, configuration and release and deployment management. Therefore, these enterprises would like a single 'source of truth' and manage BRMS and BPMSuite artifacts in their corporate standard SCM.

To facilitate this, the idea is that the BRMS / BPMSuite Workbench clones an existing repository from the central Git SCM. Second, every change saved in the BRMS / BPMSuite workbench needs to be pushed to origin. Being able to use, for example, a Git post-commit hook would allow us automatically push every change to origin via a post-commit script, without manual intervention.

Comment 4 Alexandre Porcelli 2014-12-30 11:52:39 UTC
JGit is in process to add hook support, but still under dev. Maybe it's going to be available for 6.1.1

Comment 5 Alexandre Porcelli 2015-04-13 16:14:39 UTC
JGit 3.7 has something on Hooks now, I'll have a try on it soon.

Some references:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=299315
https://git.eclipse.org/r/#/c/35476/

Comment 6 Alexandre Porcelli 2015-05-19 20:58:53 UTC
JGit 3.7 initial impl has limitations, but at least post-commit is supported:

https://github.com/uberfire/uberfire/pull/110

(for windows it will need cygwin)

Comment 8 Lukáš Petrovický 2015-09-09 07:07:20 UTC
Feature requests are being tracked outside of Red Hat Bugzilla.


Note You need to log in before you can comment on or make changes to this bug.